Bug 207787 - [Webkit.css] Adding popover style
Summary: [Webkit.css] Adding popover style
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zhifei Fang
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-02-14 13:34 PST by Zhifei Fang
Modified: 2020-02-18 15:08 PST (History)
5 users (show)

See Also:


Attachments
Patch (15.67 KB, patch)
2020-02-14 13:38 PST, Zhifei Fang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zhifei Fang 2020-02-14 13:34:53 PST
[Webkit.css] Adding popover style
Comment 1 Zhifei Fang 2020-02-14 13:38:50 PST
Created attachment 390807 [details]
Patch
Comment 2 Zhifei Fang 2020-02-14 13:39:19 PST
<rdar://problem/59412833>
Comment 3 WebKit Commit Bot 2020-02-17 18:11:48 PST
The commit-queue encountered the following flaky tests while processing attachment 390807 [details]:

http/tests/security/contentSecurityPolicy/report-status-code-zero-when-using-https.html bug 197297 (author: dbates@webkit.org)
The commit-queue is continuing to process your patch.
Comment 4 WebKit Commit Bot 2020-02-17 18:11:49 PST
The commit-queue encountered the following flaky tests while processing attachment 390807 [details]:

The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2020-02-17 19:05:03 PST
Comment on attachment 390807 [details]
Patch

Clearing flags on attachment: 390807

Committed r256807: <https://trac.webkit.org/changeset/256807>
Comment 6 WebKit Commit Bot 2020-02-17 19:05:05 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2020-02-17 19:06:20 PST
<rdar://problem/59535887>
Comment 8 Jonathan Bedard 2020-02-18 15:08:58 PST
I like the idea of a shared pop-over style, I do think that we need to iterate a bit here. The results database uses a different pop-over style at the moment, there are some things I like about that style, some that I like about yours.

I like the arrow and shadow (both on the arrow and the pop-over) on this new style better than what the results-database does.

I don't like the sharp corners, and I prefer the rounded corners of the results-database.

I'm a bit torn on the color. I suppose it's configurable, but it never felt right to me to have the background color of the pop-over be the same as the background color of the site, especially as the pop-overs get bigger. On the other hand, the heavy blurring that the results database does can be distracting.